## org.eclipse.emf.compare.match.metamodel
Interface MatchPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MatchPackageImpl

    public interface MatchPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `MatchFactory`

Nested Class Summary
`static interface` `MatchPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static MatchPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `MATCH_ELEMENT` The meta object id for the '`Element`' class
`static int` `MATCH_ELEMENT__SIMILARITY` The feature id for the 'Similarity' attribute
`static int` `MATCH_ELEMENT__SUB_MATCH_ELEMENTS` The feature id for the 'Sub Match Elements' containment reference list.
`static int` `MATCH_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class
`static int` `MATCH_MODEL` The meta object id for the '`Model`' class
`static int` `MATCH_MODEL__ANCESTOR_ROOTS` The feature id for the 'Ancestor Roots' reference list
`static int` `MATCH_MODEL__LEFT_ROOTS` The feature id for the 'Left Roots' reference list
`static int` `MATCH_MODEL__MATCHED_ELEMENTS` The feature id for the 'Matched Elements' containment reference list.
`static int` `MATCH_MODEL__RIGHT_ROOTS` The feature id for the 'Right Roots' reference list
`static int` `MATCH_MODEL__UNMATCHED_ELEMENTS` The feature id for the 'Unmatched Elements' containment reference list
`static int` `MATCH_MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class
`static int` `MATCH_RESOURCE_SET` The meta object id for the '`Resource Set`' class
`static int` `MATCH_RESOURCE_SET__MATCH_MODELS` The feature id for the 'Match Models' containment reference list
`static int` `MATCH_RESOURCE_SET__UNMATCHED_MODELS` The feature id for the 'Unmatched Models' containment reference list
`static int` `MATCH_RESOURCE_SET_FEATURE_COUNT` The number of structural features of the 'Resource Set' class
`static int` `MATCH2_ELEMENTS` The meta object id for the '`Match2 Elements`' class
`static int` `MATCH2_ELEMENTS__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `MATCH2_ELEMENTS__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `MATCH2_ELEMENTS__SIMILARITY` The feature id for the 'Similarity' attribute
`static int` `MATCH2_ELEMENTS__SUB_MATCH_ELEMENTS` The feature id for the 'Sub Match Elements' containment reference list.
`static int` `MATCH2_ELEMENTS_FEATURE_COUNT` The number of structural features of the 'Match2 Elements' class
`static int` `MATCH3_ELEMENTS` The meta object id for the '`Match3 Elements`' class
`static int` `MATCH3_ELEMENTS__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `MATCH3_ELEMENTS__ORIGIN_ELEMENT` The feature id for the 'Origin Element' reference
`static int` `MATCH3_ELEMENTS__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `MATCH3_ELEMENTS__SIMILARITY` The feature id for the 'Similarity' attribute
`static int` `MATCH3_ELEMENTS__SUB_MATCH_ELEMENTS` The feature id for the 'Sub Match Elements' containment reference list
`static int` `MATCH3_ELEMENTS_FEATURE_COUNT` The number of structural features of the 'Match3 Elements' class
`static int` `SIDE` The meta object id for the '`Side`' enum
`static int` `UNMATCH_ELEMENT` The meta object id for the '`Unmatch Element`' class
`static int` `UNMATCH_ELEMENT__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `UNMATCH_ELEMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `UNMATCH_ELEMENT__REMOTE` The feature id for the 'Remote' attribute
`static int` `UNMATCH_ELEMENT__SIDE` The feature id for the 'Side' attribute
`static int` `UNMATCH_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Unmatch Element' class
`static int` `UNMATCH_MODEL` The meta object id for the '`Unmatch Model`' class
`static int` `UNMATCH_MODEL__REMOTE` The feature id for the 'Remote' attribute
`static int` `UNMATCH_MODEL__ROOTS` The feature id for the 'Roots' reference list
`static int` `UNMATCH_MODEL__SIDE` The feature id for the 'Side' attribute
`static int` `UNMATCH_MODEL_FEATURE_COUNT` The number of structural features of the 'Unmatch Model' class

Method Summary
`org.eclipse.emf.ecore.EReference` `getMatch2Elements_LeftElement()` Returns the meta object for the reference '`Left Element`'
`org.eclipse.emf.ecore.EReference` `getMatch2Elements_RightElement()` Returns the meta object for the reference '`Right Element`'
`org.eclipse.emf.ecore.EClass` `getMatch2Elements()` Returns the meta object for class '`Match2 Elements`'
`org.eclipse.emf.ecore.EReference` `getMatch3Elements_OriginElement()` Returns the meta object for the reference '`Origin Element`'
`org.eclipse.emf.ecore.EClass` `getMatch3Elements()` Returns the meta object for class '`Match3 Elements`'
`org.eclipse.emf.ecore.EAttribute` `getMatchElement_Similarity()` Returns the meta object for the attribute '`Similarity`'
`org.eclipse.emf.ecore.EReference` `getMatchElement_SubMatchElements()` Returns the meta object for the containment reference list '`Sub Match Elements`'
`org.eclipse.emf.ecore.EClass` `getMatchElement()` Returns the meta object for class '`Element`'
`MatchFactory` `getMatchFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getMatchModel_AncestorRoots()` Returns the meta object for the reference list '`Ancestor Roots`'
`org.eclipse.emf.ecore.EReference` `getMatchModel_LeftRoots()` Returns the meta object for the reference list '`Left Roots`'
`org.eclipse.emf.ecore.EReference` `getMatchModel_MatchedElements()` Returns the meta object for the containment reference list '`Matched Elements`'
`org.eclipse.emf.ecore.EReference` `getMatchModel_RightRoots()` Returns the meta object for the reference list '`Right Roots`'
`org.eclipse.emf.ecore.EReference` `getMatchModel_UnmatchedElements()` Returns the meta object for the containment reference list '`Unmatched Elements`'
`org.eclipse.emf.ecore.EClass` `getMatchModel()` Returns the meta object for class '`Model`'
`org.eclipse.emf.ecore.EReference` `getMatchResourceSet_MatchModels()` Returns the meta object for the containment reference list '`Match Models`'
`org.eclipse.emf.ecore.EReference` `getMatchResourceSet_UnmatchedModels()` Returns the meta object for the containment reference list '`Unmatched Models`'
`org.eclipse.emf.ecore.EClass` `getMatchResourceSet()` Returns the meta object for class '`Resource Set`'
`org.eclipse.emf.ecore.EEnum` `getSide()` Returns the meta object for enum '`Side`'
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Conflicting()` Returns the meta object for the attribute '`Conflicting`'
`org.eclipse.emf.ecore.EReference` `getUnmatchElement_Element()` Returns the meta object for the reference '`Element`'
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Remote()` Returns the meta object for the attribute '`Remote`'
`org.eclipse.emf.ecore.EAttribute` `getUnmatchElement_Side()` Returns the meta object for the attribute '`Side`'
`org.eclipse.emf.ecore.EClass` `getUnmatchElement()` Returns the meta object for class '`Unmatch Element`'
`org.eclipse.emf.ecore.EAttribute` `getUnmatchModel_Remote()` Returns the meta object for the attribute '`Remote`'
`org.eclipse.emf.ecore.EReference` `getUnmatchModel_Roots()` Returns the meta object for the reference list '`Roots`'
`org.eclipse.emf.ecore.EAttribute` `getUnmatchModel_Side()` Returns the meta object for the attribute '`Side`'
`org.eclipse.emf.ecore.EClass` `getUnmatchModel()` Returns the meta object for class '`Unmatch Model`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MatchPackage eINSTANCE

  The singleton instance of the package.

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### MATCH_ELEMENT

    static final int MATCH_ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `MatchElementImpl`, `MatchPackageImpl.getMatchElement()`, Constant Field Values

### MATCH_MODEL

    static final int MATCH_MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `MatchModelImpl`, `MatchPackageImpl.getMatchModel()`, Constant Field Values

### MATCH_MODEL__MATCHED_ELEMENTS

    static final int MATCH_MODEL__MATCHED_ELEMENTS

  The feature id for the 'Matched Elements' containment reference list.

  See Also:
    Constant Field Values

### MATCH_MODEL__UNMATCHED_ELEMENTS

    static final int MATCH_MODEL__UNMATCHED_ELEMENTS

  The feature id for the 'Unmatched Elements' containment reference list.

  See Also:
    Constant Field Values

### MATCH_MODEL__LEFT_ROOTS

    static final int MATCH_MODEL__LEFT_ROOTS

  The feature id for the 'Left Roots' reference list.

  See Also:
    Constant Field Values

### MATCH_MODEL__RIGHT_ROOTS

    static final int MATCH_MODEL__RIGHT_ROOTS

  The feature id for the 'Right Roots' reference list.

  See Also:
    Constant Field Values

### MATCH_MODEL__ANCESTOR_ROOTS

    static final int MATCH_MODEL__ANCESTOR_ROOTS

  The feature id for the 'Ancestor Roots' reference list.

  See Also:
    Constant Field Values

### MATCH_MODEL_FEATURE_COUNT

    static final int MATCH_MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### UNMATCH_MODEL

    static final int UNMATCH_MODEL

  The meta object id for the '`Unmatch Model`' class.

  See Also:
    `UnmatchModelImpl`, `MatchPackageImpl.getUnmatchModel()`, Constant Field Values

### UNMATCH_MODEL__ROOTS

    static final int UNMATCH_MODEL__ROOTS

  The feature id for the 'Roots' reference list.

  See Also:
    Constant Field Values

### UNMATCH_MODEL__REMOTE

    static final int UNMATCH_MODEL__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UNMATCH_MODEL__SIDE

    static final int UNMATCH_MODEL__SIDE

  The feature id for the 'Side' attribute.

  See Also:
    Constant Field Values

### UNMATCH_MODEL_FEATURE_COUNT

    static final int UNMATCH_MODEL_FEATURE_COUNT

  The number of structural features of the 'Unmatch Model' class.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS

    static final int MATCH2_ELEMENTS

  The meta object id for the '`Match2 Elements`' class.

  See Also:
    `Match2ElementsImpl`, `MatchPackageImpl.getMatch2Elements()`, Constant Field Values

### MATCH3_ELEMENTS

    static final int MATCH3_ELEMENTS

  The meta object id for the '`Match3 Elements`' class.

  See Also:
    `Match3ElementsImpl`, `MatchPackageImpl.getMatch3Elements()`, Constant Field Values

### UNMATCH_ELEMENT

    static final int UNMATCH_ELEMENT

  The meta object id for the '`Unmatch Element`' class.

  See Also:
    `UnmatchElementImpl`, `MatchPackageImpl.getUnmatchElement()`, Constant Field Values

### MATCH_RESOURCE_SET

    static final int MATCH_RESOURCE_SET

  The meta object id for the '`Resource Set`' class.

  See Also:
    `MatchResourceSetImpl`, `MatchPackageImpl.getMatchResourceSet()`, Constant Field Values

### MATCH_RESOURCE_SET__MATCH_MODELS

    static final int MATCH_RESOURCE_SET__MATCH_MODELS

  The feature id for the 'Match Models' containment reference list.

  See Also:
    Constant Field Values

### MATCH_RESOURCE_SET__UNMATCHED_MODELS

    static final int MATCH_RESOURCE_SET__UNMATCHED_MODELS

  The feature id for the 'Unmatched Models' containment reference list.

  See Also:
    Constant Field Values

### MATCH_RESOURCE_SET_FEATURE_COUNT

    static final int MATCH_RESOURCE_SET_FEATURE_COUNT

  The number of structural features of the 'Resource Set' class.

  See Also:
    Constant Field Values

### MATCH_ELEMENT__SIMILARITY

    static final int MATCH_ELEMENT__SIMILARITY

  The feature id for the 'Similarity' attribute.

  See Also:
    Constant Field Values

### MATCH_ELEMENT__SUB_MATCH_ELEMENTS

    static final int MATCH_ELEMENT__SUB_MATCH_ELEMENTS

  The feature id for the 'Sub Match Elements' containment reference list.

  See Also:
    Constant Field Values

### MATCH_ELEMENT_FEATURE_COUNT

    static final int MATCH_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS__SIMILARITY

    static final int MATCH2_ELEMENTS__SIMILARITY

  The feature id for the 'Similarity' attribute.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS__SUB_MATCH_ELEMENTS

    static final int MATCH2_ELEMENTS__SUB_MATCH_ELEMENTS

  The feature id for the 'Sub Match Elements' containment reference list.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS__LEFT_ELEMENT

    static final int MATCH2_ELEMENTS__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS__RIGHT_ELEMENT

    static final int MATCH2_ELEMENTS__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### MATCH2_ELEMENTS_FEATURE_COUNT

    static final int MATCH2_ELEMENTS_FEATURE_COUNT

  The number of structural features of the 'Match2 Elements' class.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS__SIMILARITY

    static final int MATCH3_ELEMENTS__SIMILARITY

  The feature id for the 'Similarity' attribute.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS__SUB_MATCH_ELEMENTS

    static final int MATCH3_ELEMENTS__SUB_MATCH_ELEMENTS

  The feature id for the 'Sub Match Elements' containment reference list.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS__LEFT_ELEMENT

    static final int MATCH3_ELEMENTS__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS__RIGHT_ELEMENT

    static final int MATCH3_ELEMENTS__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS__ORIGIN_ELEMENT

    static final int MATCH3_ELEMENTS__ORIGIN_ELEMENT

  The feature id for the 'Origin Element' reference.

  See Also:
    Constant Field Values

### MATCH3_ELEMENTS_FEATURE_COUNT

    static final int MATCH3_ELEMENTS_FEATURE_COUNT

  The number of structural features of the 'Match3 Elements' class.

  See Also:
    Constant Field Values

### UNMATCH_ELEMENT__ELEMENT

    static final int UNMATCH_ELEMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values

### UNMATCH_ELEMENT__CONFLICTING

    static final int UNMATCH_ELEMENT__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### UNMATCH_ELEMENT__REMOTE

    static final int UNMATCH_ELEMENT__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UNMATCH_ELEMENT__SIDE

    static final int UNMATCH_ELEMENT__SIDE

  The feature id for the 'Side' attribute.

  See Also:
    Constant Field Values

### UNMATCH_ELEMENT_FEATURE_COUNT

    static final int UNMATCH_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Unmatch Element' class.

  See Also:
    Constant Field Values

### SIDE

    static final int SIDE

  The meta object id for the '`Side`' enum.

  See Also:
    `Side`, `MatchPackageImpl.getSide()`, Constant Field Values

Method Detail

### getMatch2Elements

    org.eclipse.emf.ecore.EClass getMatch2Elements()

  Returns the meta object for class '`Match2 Elements`'.

  Returns:
    the meta object for class 'Match2 Elements'.
  See Also:
    `Match2Elements`

### getMatch2Elements_LeftElement

    org.eclipse.emf.ecore.EReference getMatch2Elements_LeftElement()

  Returns the meta object for the reference '`Left Element`'.

  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `Match2Elements.getLeftElement()`, `getMatch2Elements()`

### getMatch2Elements_RightElement

    org.eclipse.emf.ecore.EReference getMatch2Elements_RightElement()

  Returns the meta object for the reference '`Right Element`'.

  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `Match2Elements.getRightElement()`, `getMatch2Elements()`

### getMatch3Elements

    org.eclipse.emf.ecore.EClass getMatch3Elements()

  Returns the meta object for class '`Match3 Elements`'.

  Returns:
    the meta object for class 'Match3 Elements'.
  See Also:
    `Match3Elements`

### getMatch3Elements_OriginElement

    org.eclipse.emf.ecore.EReference getMatch3Elements_OriginElement()

  Returns the meta object for the reference '`Origin Element`'.

  Returns:
    the meta object for the reference 'Origin Element'.
  See Also:
    `Match3Elements.getOriginElement()`, `getMatch3Elements()`

### getUnmatchElement

    org.eclipse.emf.ecore.EClass getUnmatchElement()

  Returns the meta object for class '`Unmatch Element`'.

  Returns:
    the meta object for class 'Unmatch Element'.
  See Also:
    `UnmatchElement`

### getUnmatchElement_Element

    org.eclipse.emf.ecore.EReference getUnmatchElement_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `UnmatchElement.getElement()`, `getUnmatchElement()`

### getUnmatchElement_Conflicting

    org.eclipse.emf.ecore.EAttribute getUnmatchElement_Conflicting()

  Returns the meta object for the attribute '`Conflicting`'.

  Returns:
    the meta object for the attribute 'Conflicting'.
  See Also:
    `UnmatchElement.isConflicting()`, `getUnmatchElement()`

### getUnmatchElement_Remote

    org.eclipse.emf.ecore.EAttribute getUnmatchElement_Remote()

  Returns the meta object for the attribute '`Remote`'.

  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `UnmatchElement.isRemote()`, `getUnmatchElement()`

### getUnmatchElement_Side

    org.eclipse.emf.ecore.EAttribute getUnmatchElement_Side()

  Returns the meta object for the attribute '`Side`'.

  Returns:
    the meta object for the attribute 'Side'.
  See Also:
    `UnmatchElement.getSide()`, `getUnmatchElement()`

### getMatchResourceSet

    org.eclipse.emf.ecore.EClass getMatchResourceSet()

  Returns the meta object for class '`Resource Set`'.

  Returns:
    the meta object for class 'Resource Set'.
  See Also:
    `MatchResourceSet`

### getMatchResourceSet_MatchModels

    org.eclipse.emf.ecore.EReference getMatchResourceSet_MatchModels()

  Returns the meta object for the containment reference list '`Match Models`'.

  Returns:
    the meta object for the containment reference list 'Match Models'.
  See Also:
    `MatchResourceSet.getMatchModels()`, `getMatchResourceSet()`

### getMatchResourceSet_UnmatchedModels

    org.eclipse.emf.ecore.EReference getMatchResourceSet_UnmatchedModels()

  Returns the meta object for the containment reference list '`Unmatched Models`'.

  Returns:
    the meta object for the containment reference list 'Unmatched Models'.
  See Also:
    `MatchResourceSet.getUnmatchedModels()`, `getMatchResourceSet()`

### getSide

    org.eclipse.emf.ecore.EEnum getSide()

  Returns the meta object for enum '`Side`'.

  Returns:
    the meta object for enum 'Side'.
  See Also:
    `Side`

### getMatchElement

    org.eclipse.emf.ecore.EClass getMatchElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `MatchElement`

### getMatchElement_Similarity

    org.eclipse.emf.ecore.EAttribute getMatchElement_Similarity()

  Returns the meta object for the attribute '`Similarity`'.

  Returns:
    the meta object for the attribute 'Similarity'.
  See Also:
    `MatchElement.getSimilarity()`, `getMatchElement()`

### getMatchElement_SubMatchElements

    org.eclipse.emf.ecore.EReference getMatchElement_SubMatchElements()

  Returns the meta object for the containment reference list '`Sub Match Elements`'.

  Returns:
    the meta object for the containment reference list 'Sub Match Elements'.
  See Also:
    `MatchElement.getSubMatchElements()`, `getMatchElement()`

### getMatchFactory

    MatchFactory getMatchFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

### getMatchModel

    org.eclipse.emf.ecore.EClass getMatchModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `MatchModel`

### getMatchModel_MatchedElements

    org.eclipse.emf.ecore.EReference getMatchModel_MatchedElements()

  Returns the meta object for the containment reference list '`Matched Elements`'.

  Returns:
    the meta object for the containment reference list 'Matched Elements'.
  See Also:
    `MatchModel.getMatchedElements()`, `getMatchModel()`

### getMatchModel_UnmatchedElements

    org.eclipse.emf.ecore.EReference getMatchModel_UnmatchedElements()

  Returns the meta object for the containment reference list '`Unmatched Elements`'.

  Returns:
    the meta object for the containment reference list 'Unmatched Elements'.
  See Also:
    `MatchModel.getUnmatchedElements()`, `getMatchModel()`

### getMatchModel_LeftRoots

    org.eclipse.emf.ecore.EReference getMatchModel_LeftRoots()

  Returns the meta object for the reference list '`Left Roots`'.

  Returns:
    the meta object for the reference list 'Left Roots'.
  See Also:
    `MatchModel.getLeftRoots()`, `getMatchModel()`

### getMatchModel_RightRoots

    org.eclipse.emf.ecore.EReference getMatchModel_RightRoots()

  Returns the meta object for the reference list '`Right Roots`'.

  Returns:
    the meta object for the reference list 'Right Roots'.
  See Also:
    `MatchModel.getRightRoots()`, `getMatchModel()`

### getMatchModel_AncestorRoots

    org.eclipse.emf.ecore.EReference getMatchModel_AncestorRoots()

  Returns the meta object for the reference list '`Ancestor Roots`'.

  Returns:
    the meta object for the reference list 'Ancestor Roots'.
  See Also:
    `MatchModel.getAncestorRoots()`, `getMatchModel()`

### getUnmatchModel

    org.eclipse.emf.ecore.EClass getUnmatchModel()

  Returns the meta object for class '`Unmatch Model`'.

  Returns:
    the meta object for class 'Unmatch Model'.
  See Also:
    `UnmatchModel`

### getUnmatchModel_Roots

    org.eclipse.emf.ecore.EReference getUnmatchModel_Roots()

  Returns the meta object for the reference list '`Roots`'.

  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `UnmatchModel.getRoots()`, `getUnmatchModel()`

### getUnmatchModel_Remote

    org.eclipse.emf.ecore.EAttribute getUnmatchModel_Remote()

  Returns the meta object for the attribute '`Remote`'.

  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `UnmatchModel.isRemote()`, `getUnmatchModel()`

### getUnmatchModel_Side

    org.eclipse.emf.ecore.EAttribute getUnmatchModel_Side()

  Returns the meta object for the attribute '`Side`'.

  Returns:
    the meta object for the attribute 'Side'.
  See Also:
    `UnmatchModel.getSide()`, `getUnmatchModel()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.